### Virtual Method

# Gio MenuModel get_item_attributes

#### Declaration

    void
    get_item_attributes (
      GMenuModel* model,
      gint item_index,
      GHashTable** attributes
    )

#### Description

Gets all the attributes associated with the item in the menu model.

#### Parameters

`item_index`

  Type: `gint`

  The `GMenuItem` to query.

`attributes`

  Type: `GHashTable`

  Attributes on the item.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.